2010-03-14  Georgi Todorov
	* DB/food.db:
	
	  Updated Food DB to sr.

2008-09-20  Georgi Todorov

	* src/idiet/IDietApp.java:
	  
	  Move menu bar to the top under OS X

	* ., src/idiet/IDietAboutBox.form, src/idiet/IDietAboutBox.java,
	  src/idiet/resources/IDietAboutBox.properties,
	  src/idiet/resources/IDietApp.properties:
	  
	  updated version, layout fixed.

	* DB/food.db, src/idiet/resources/CustomFood.properties,
	  src/idiet/resources/about.png:
	  
	  moved CustomFood.properties to resources and updated food.db

	* DB/idiet/resources/CustomFood.properties:
	  
	  moved to right place

2008-07-10  Georgi Todorov

	* src/idiet/Daily.java:
	  
	  Fixed a bug that did not save the meals for future or past days
	  (since iDiet RC3)

	* src/idiet/Daily.java:
	  
	  more cleanup on asking to select a new meal when adding food.

	* src/idiet/Daily.java:
	  
	  fixed: do not ask the user to select a meal if none is created.

	* src/idiet/CustomFood.java, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java, src/idiet/IDietAboutBox.form,
	  src/idiet/IDietAboutBox.java, src/idiet/Login.form,
	  src/idiet/Login.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java, src/idiet/Utils.java,
	  src/idiet/resources/Daily.properties,
	  src/idiet/resources/IDietAboutBox.properties,
	  src/idiet/resources/IDietApp.properties,
	  src/idiet/resources/icon.png, src/idiet/resources/logo.png,
	  src/idiet/resources/splash.png:
	  
	  Realigned some gui components for windows. Added openURL method
	  in Utils that opens the user manual and the home page Fixed Bug
	  #2014477 - Adding from Custom Meals Changed some labels in Daily
	  for clarity Updated About Box Enableded User Manual in Help to
	  open a browser and display the user manual (tested under Linux,
	  MacOSX, Vista and XP) Added an icon and a logo in resouces.

2008-06-25  Georgi Todorov

	* src/idiet/CustomFood.java, src/idiet/Daily.form,
	  src/idiet/Daily.java:
	  
	  Exception in Daily handled. Custom foods asks you to save
	  regardles of wrong information.

2008-04-29  Georgi Todorov

	* src/idiet/CustomFood.java:
	  
	  Added several checks like total calories to be equal to the sum
	  of calories from proteins, fats and carbs. Numer format
	  exceptions will print error messages in the InfoField and not
	  stack traces.

	* src/idiet/Daily.java, src/idiet/resources/IDietApp.properties:
	  
	  Daily: Fixed bug where cancel when asked for a meal name will
	  still create the meal.

	* src/idiet/CustomFood.java, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java:
	  
	  CustomFood: notification cleanup. CustomMeal: update bars when
	  adding from custom food.

2008-04-28  Georgi Todorov

	* nbproject/build-impl.xml, nbproject/configs/tree.properties,
	  nbproject/project.properties, src/idiet/CustomFood.java,
	  src/idiet/DBConvert.java, src/idiet/Daily.java:
	  
	  CustomFood: fixed remove portion; Daily: cleanup

2008-04-27  Georgi Todorov

	* DB/idiet/resources/CustomFood.properties, images,
	  src/idiet/CustomFood.form, src/idiet/CustomFood.java,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/FoodNode.java, src/idiet/User.java,
	  src/idiet/Utils.java, src/idiet/resources/Daily.properties,
	  src/idiet/resources/dot.png:
	  
	  Daily: Added edit/delete menu for Custom Food and Meals Table.
	  Removed Edit from Tools menu; CustomFood: implemented save and
	  edit of custom foods. Added a couple of checks before saving for
	  validation of input. FoodNode: added specific types for the unit
	  vectors to reduce typecasts.

2008-04-25  Georgi Todorov

	* DB/idiet/resources/CustomFood.properties,
	  src/idiet/CustomFood.form, src/idiet/CustomFood.java:
	  
	  more cleanup in the interface. Onto saving.

	* DB/idiet/resources/CustomFood.properties,
	  src/idiet/CustomFood.form, src/idiet/CustomFood.java,
	  src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  realigned daily; Started cleanup of Custom Food.

2008-04-21  Georgi Darakev

	* DB/idiet, DB/idiet/resources,
	  DB/idiet/resources/CustomFood.properties,
	  nbproject/build-impl.xml, src/idiet/CustomFood.form,
	  src/idiet/CustomFood.java, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/User.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java:
	  
	  User setup catching year exception and rename meals

2008-04-08  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java, src/idiet/Login.form,
	  src/idiet/Login.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java:
	  
	  Disabled password fields and Add Food buttons to reduce confusion

2008-04-04  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  

	* src/idiet/Daily.java, src/idiet/TTModel.java:
	  
	  Daily: fixed setBars was not using the latest maximum from usr.
	  fixed restore backup to use model from HashMap.

2008-04-03  Georgi Todorov

	* build.xml:
	  
	  the profiler had removed the build.xml file. This is a recovery.

	* build.xml, nbproject/genfiles.properties, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/HideableTreeModel.java:
	  
	  In Daily, search handling. Enter key will always perform a
	  search, otherwise if the entered string is longer than 3
	  characters it will perform a search on keystroke.
	  HideableTreeModel - used a profiler to identify "hot spots" while
	  searching and I made some modification to increase the speed.

	* master.jnlp, nbproject/build-impl.xml,
	  nbproject/configs/JWS_generated.properties,
	  nbproject/genfiles.properties, nbproject/jnlp-impl.xml,
	  nbproject/project.properties, nbproject/project.xml,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/IDietAboutBox.form, src/idiet/IDietAboutBox.java,
	  src/idiet/Login.java, src/idiet/resources/Daily.properties,
	  src/idiet/resources/IDietApp.properties:
	  
	  Updated about box, enabled Java WebStart and changed layout in
	  Daily. Added Help menu.

2008-03-13  Georgi Todorov

	* src/idiet/Daily.java, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java, src/idiet/User.java:
	  
	  Bug Fixes: progress bars not updating when editing a meal; diet
	  not updating according to calories if enter not pressed;

2008-03-12  Georgi Todorov

	* src/idiet/Daily.java, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java, src/idiet/UserSetup.java:
	  
	  Fixed an UserSetup bug where recalculation was not working.

2008-03-11  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  Added: When you click on the date it brings you to today's date.

	* src/idiet/Daily.java, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java, src/idiet/TreeNodeTreeModel.java,
	  src/idiet/User.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java,
	  src/idiet/resources/DietSetup.properties,
	  src/idiet/resources/UserSetup.properties:
	  
	  Fixed a bug that would not display the daily diet but the global
	  diet. Added addons whem moving forward and backwords to check
	  weather the day is empty and if so, will set the diet to the
	  previous day. This is needed when changing the diet to ensure
	  that future days will be using the latest diet info. From
	  TreeNodeTreeModel removed main(). Fixed a bug in UserSetup when
	  editing that would not let users save by complaining that their
	  file exists.

2008-03-08  Georgi Todorov

	* src/idiet/Daily.java:
	  
	  Removed foodnode serialization as all seems fine so far.

	* DB/food.db, nbproject/configs/tree.properties,
	  src/idiet/DBConvert.java, src/idiet/Daily.java,
	  src/idiet/DietSetup.java, src/idiet/FoodNode.java,
	  src/idiet/Login.java, src/idiet/TTModel.java,
	  src/idiet/TTNode.java, src/idiet/User.java:
	  
	  food.db: updated with latest USDA database. changed stack size to
	  1G for DB generation. Cleaned up System.outs in all files. Moved
	  TTNode out of TTModel. Added commented read and write functions
	  for externalizable in FoodNode and User ( I was testing and just
	  in case I will leave them). Fixed TTNode.clone() to clone all new
	  information needed for Editing. Fixed MAJOR BUG where serializing
	  a foodnode would serialize the whole food.db in the user thus
	  creating a big save file.

	* src/idiet/Daily.java, src/idiet/EditMeal.java,
	  src/idiet/Login.java, src/idiet/User.java:
	  
	  Added a couple of catches in EditMeal when trying to edit an old
	  entry that doesn't have the FoodNode entry. Added a fix to Custom
	  Meals if user was created prior to RC1. Initialized a couple of
	  entries in User

2008-03-06  Georgi Todorov

	* src/idiet/DietSetup.java, src/idiet/UserSetup.java:
	  
	  Catching bad characters in user name and creation of same
	  username warning added to User Setup

2008-03-05  Georgi Todorov

	* src/idiet/Daily.java, src/idiet/EditMeal.form,
	  src/idiet/EditMeal.java, src/idiet/resources/EditMeal.properties:
	  
	  Added save changes confirmation on close and cancel button in
	  EditMeal

	* src/idiet/Daily.java:
	  
	  Added save confirmation after restoring a database.

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/EditMeal.form, src/idiet/EditMeal.java,
	  src/idiet/TTModel.java, src/idiet/resources/Daily.properties,
	  src/idiet/resources/EditMeal.properties:
	  
	  Added EditMeals and save confirmation. To be tested

2008-02-29  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/Login.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java, src/idiet/resources/Daily.properties,
	  src/idiet/resources/DietSetup.properties,
	  src/idiet/resources/UserSetup.properties:
	  
	  Moved units in User setup below height and weight. Finished units
	  support. Changed height units to cm/in. This looks like a good
	  place for a RC1.

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java:
	  
	  Added rounding in TTmodel for sumation of totals. Added Add Meal
	  action from custom meals

	* nbproject/project.properties, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java, src/idiet/User.java,
	  src/idiet/resources/DietSetup.properties,
	  src/idiet/resources/IDietApp.properties:
	  
	  DietSetup added locking mechanism for custom diet setup. User:
	  fixed spaces problem in filename. Main: added
	  Application.VendorID.

2008-02-28  Georgi Darakev

	* src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  User setup catching year exception and rename meals

	* src/idiet/UserSetup.form, src/idiet/UserSetup.java:
	  
	  saving custom meals in the user file added

2008-02-28  Georgi Todorov

	* src/idiet/DietSetup.java, src/idiet/Login.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java:
	  
	  Edit User fixed, Login list now shows only users when available

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/Login.form, src/idiet/Login.java, src/idiet/User.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  src/idiet/resources/Daily.properties,
	  src/idiet/resources/UserSetup.properties:
	  
	  Added edit Diet and Edit User in Daily menu. Edit user needs more
	  work

2008-02-28  Georgi Darakev

	* src/idiet/UserSetup.java:
	  
	  saving custom meals in the user file added

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.java, src/idiet/User.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java:
	  
	  saving custom meals in the user file added

2008-02-28  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java, src/idiet/Login.java:
	  
	  Size fixes in Daily

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/DietSetup.java, src/idiet/Login.form,
	  src/idiet/Login.java, src/idiet/User.java,
	  src/idiet/UserSetup.java, src/idiet/resources/Daily.properties:
	  
	  Added DailySetup after User Setup calculating the suggested
	  calories. In User changed the hashmap to hold another hashmap
	  containing the meals for the day and the diet numbers for the
	  day. In Daily the progressbars now reflect reality.

2008-02-27  Georgi Todorov

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  Created Save and Load methods in Daily that accept File for
	  saving the current state and restoring it. Added Backup and
	  Restore menu items.

2008-02-27  Georgi Darakev

	* src/idiet/Daily.java:
	  
	  setBars function

2008-02-27  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java, src/idiet/Login.java:
	  
	  Added progress bar while loading the food database and moved to
	  another thread for performance.

2008-02-27  Georgi Darakev

	* testaa:
	  
	  previous and next day butons set up

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  previous and next day butons set up

2008-02-27  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java, src/idiet/User.java,
	  src/idiet/UserSetup.java:
	  
	  Added Version IDs to serialized classes. Portion field was
	  missing after latest "fixes" in Daily.

2008-02-26  Georgi Darakev

	* src/idiet/Login.java:
	  
	  add the loading and saving of user at $HOME/.iDiet_profiles

2008-02-26  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  Some more layout updates and negatives from the DB are now
	  ignored.

2008-02-26  Georgi Darakev

	* src/idiet/Daily.form, src/idiet/Daily.java, src/idiet/Login.form,
	  src/idiet/Login.java, src/idiet/User.java:
	  
	  add the loading and saving of user at $HOME/.iDiet_profiles

2008-02-26  Georgi Todorov

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  src/idiet/resources/Daily.properties:
	  
	  OS X java layout for daily and usersetup changed to maximize
	  space usage

2008-02-26  Georgi Darakev

	* src/idiet/TTModel.java:
	  
	  Externalizable Tree Upload to test

2008-02-25  Georgi Darakev

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet, src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/Login.form, src/idiet/Login.java,
	  src/idiet/TTModel.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java, src/idiet/resources/Daily.properties,
	  src/idiet/resources/UserSetup.properties, testaa:
	  
	  Progam loads and saves to a file. Works only with one user.

2008-02-24  Georgi Todorov

	* src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/IDietAboutBox.form, src/idiet/IDietAboutBox.java,
	  src/idiet/Login.form, src/idiet/Login.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  updateChangeLog:
	  
	  Changed Login, iDietAbout and DietSetup forms to use Swing layout
	  instead of Java 6 layout

2008-02-22  Georgi Todorov

	* src/idiet/Daily.java, src/idiet/DietSetup.java,
	  src/idiet/Utils.java:
	  
	  Grams calculations now working. Cleaned up some debug statements.

	* src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/resources/DietSetup.properties:
	  
	  Percent calculations now work, suggested calories added. TODO:
	  fixed grams calculations.

2008-02-21  Georgi Todorov

	* src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/Login.java, src/idiet/Utils.java,
	  src/idiet/resources/DietSetup.properties:
	  
	  Started work on DietSetup actions to reflect real diets. Needs
	  more work. Added two more percentage functions in Utils

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/IDietApp.java, src/idiet/IDietView.form,
	  src/idiet/IDietView.java, src/idiet/Login.form,
	  src/idiet/Login.java, src/idiet/resources/IDietView.properties,
	  src/idiet/resources/Login.properties:
	  
	  renamed iDietView to Login

2008-02-19  Georgi Darakev

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java:
	  
	  adding children function in TTNode fixed

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/TTModel.java:
	  
	  

2008-02-19  Georgi Todorov

	* src/idiet/Crypter.java, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/TTModel.java, src/idiet/User.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  src/idiet/Utils.java, src/idiet/resources/DietSetup.properties,
	  src/idiet/resources/UserSetup.properties:
	  
	  Crypter: fixed Javadoc return. Daily: updated round function to
	  reflect new round in Util. Utils: new class to hold various
	  usefull functions. Currently a rounding function and a percent
	  calculation function. DietSetup: Designed the form. Added initial
	  supported diets. Weight Watchers was removed due to it's patented
	  point formula. Calculation based on 40:40:20 p:c:f ratio was
	  added for initial testing. iDietView: Exit button summons
	  DietSetup (for testing only). User: Added some description to the
	  top.

2008-02-16  Georgi Todorov

	* .cvsignore, mdb.tar.gz, nbproject/.cvsignore,
	  src/idiet/.cvsignore:
	  
	  cvs cleanup

	* nbproject, nbproject/build-impl.xml,
	  nbproject/genfiles.properties, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/resources/Daily.properties:
	  
	  Moved repository to SVN, testing commit. Renamed Custom Meals
	  Delete button, found a bug in the delete function

2008-02-14  Georgi Darakev

	* src/idiet/FoodNode.java, src/idiet/TTModel.java,
	  src/idiet/User.java:
	  
	  Inserted a HashMap and setters and getters

2008-02-12  Georgi Darakev

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/User.java:
	  
	  User class started

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java:
	  
	  TTNode clone function added

2008-02-12  Georgi Todorov

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  added Delete btn to Custom meals. Added Save meal action that
	  makes a reference. clone() to be implemented soon for desired
	  functionality

2008-02-07  Georgi Darakev

	* src/idiet/Daily.java:
	  
	  Rounding when deleting items added

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java:
	  
	  TreeTable - removing empty rows

2008-02-07  Georgi Todorov

	* src/idiet/CreateUserFrame.form, src/idiet/CreateUserFrame.java,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/HideableTreeModel.java, src/idiet/IDietView.java,
	  src/idiet/TTModel.java,
	  src/idiet/resources/CreateUserFrame.properties,
	  src/idiet/resources/Daily.properties:
	  
	  Fixed change of selection with keyboard arrows in Daily. fixed
	  update of values before adding an item to a meal. Fixed rounding
	  in the progress bars in Daily. Removed CreateUserFrame unused
	  form. Modified item search by tokens (words) in any order and not
	  by the entire string in fixed order. Changed meals table
	  background to white and reduced default rows to 0.

2008-02-05  Georgi Todorov

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  Daily now displays current date, instead of fixed string using
	  the Calendar class.

	* src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  src/idiet/resources/UserSetup.properties:
	  
	  UI touch ups

	* src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/UserSetup.form, src/idiet/UserSetup.java,
	  src/idiet/resources/IDietView.properties,
	  src/idiet/resources/UserSetup.properties:
	  
	  iDietView was slightly redesigned, UserSetup added some
	  additional fields.

2008-02-04  Georgi Todorov

	* src/idiet/Crypter.java, src/idiet/IDietView.form,
	  src/idiet/IDietView.java, src/idiet/UserSetup.form,
	  src/idiet/UserSetup.java,
	  src/idiet/resources/UserSetup.properties,
	  src/idiet/resources/busyicons:
	  
	  Added UserSetup class Cleaned Up iDietView (soon to be renamed to
	  Login) removed resources stuff added by NetBeans by default

2008-02-02  Georgi Todorov

	* src/idiet/Crypter.java, src/idiet/DBConvert.java,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/FoodNode.java, src/idiet/IDietView.form,
	  src/idiet/IDietView.java, src/idiet/TTModel.java,
	  src/idiet/resources/Daily.properties,
	  src/idiet/resources/IDietView.properties:
	  
	  Added Crypter class for encryption/decription added a couple of
	  catches when adding food other small cleanups

2007-12-13  Georgi Todorov

	* DB/food.db, DB/temp, DB/temp/convert, nbproject/build-impl.xml,
	  nbproject/genfiles.properties, src/idiet/DBConvert.java,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/FoodNode.java, src/idiet/IDietView.java,
	  src/idiet/resources/Daily.properties:
	  
	  Converted DBConvert to use text tables added units to FoodNode
	  convert script creates DB tables from .txt tables added units and
	  events to update the units

2007-12-13  Georgi Darakev

	* src/idiet/Daily.java:
	  
	  TreeTable

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java, src/idiet/resources/Daily.properties:
	  
	  TreeTable

	* src/idiet/TTModel.java:
	  
	  TreeTable

	* src/idiet, src/idiet/.cvsignore, src/idiet/TTModel.java:
	  
	  TreeTable

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java:
	  
	  TreeTable

	* src/idiet/Daily.form, src/idiet/Daily.java:
	  
	  TreeTable

	* src/idiet/Daily.java, src/idiet/TTModel.java:
	  
	  TreeTable

	* src/idiet/Daily.form, src/idiet/TTModel.java:
	  
	  TreeTable

	* mdb.tar.gz, src/idiet, src/idiet/.cvsignore,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/TTModel.java, src/idiet/resources/Daily.properties:
	  
	  TreeTable

2007-12-10  Georgi Todorov

	* DB/food.db, src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  Fixed GUI for resizing, linked food fields to mouse click in the
	  food tree todo: add serving size and units to food.db

2007-12-10  Georgi Darakev

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/resources/Daily.properties:
	  
	  added nutr_desc table to database

	* src/idiet/HideableTreeModel.java:
	  
	  added nutr_desc table to database

	* src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/HideableTreeModel.java,
	  src/idiet/resources/Daily.properties:
	  
	  added nutr_desc table to database

2007-12-09  Georgi Darakev

	* src/idiet/AbstractTreeModel.java, src/idiet/FoodNode.java,
	  src/idiet/HideableTreeModel.java,
	  src/idiet/TreeNodeTreeModel.java:
	  
	  added nutr_desc table to database

2007-12-09  Georgi Todorov

	* DietDB.xml:
	  
	  Initial Diet database

2007-12-09  Georgi Darakev

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet, src/idiet/.cvsignore, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/resources/Daily.properties:
	  
	  added nutr_desc table to database

2007-11-22  Georgi Todorov

	* src/idiet/DBConvert.java:
	  
	  cleanup

2007-11-19  Georgi Todorov

	* DB/food.db, nbproject/project.properties,
	  src/idiet/DBConvert.java, src/idiet/Daily.form,
	  src/idiet/Daily.java, src/idiet/FoodNode.java,
	  src/idiet/IDietAboutBox.form, src/idiet/IDietAboutBox.java,
	  src/idiet/resources/Daily.properties:
	  
	  fixed serialization for different versions of Java Fixed
	  GroupLayout problem for different versions of Java

	* ., .cvsignore, DB/food.db, nbproject/configs,
	  nbproject/configs/tree.properties, nbproject/project.properties,
	  src/idiet/DBConvert.java:
	  
	  added DBConvert class that takes hsqldb memory datatbase of the
	  food db, creates a jtree with FoodNodes and saves it as an
	  objectfile. Added tree config to run the converter from Netbeans

2007-11-17  Georgi Todorov

	* DB/food.db, DB/mdb.log, DB/mdb.properties, DB/mdb.script,
	  nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/FoodDB.java, src/idiet/FoodNode.java,
	  src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/resources/Daily.properties:
	  
	  added JTree to Daily. Added show new daily upon LOGIN added
	  FoodNode class tree is loading in Daily

2007-11-15  Georgi Darakev

	* DB/mdb.log, DB/mdb.properties, DB/mdb.script,
	  nbproject/build-impl.xml, nbproject/genfiles.properties,
	  nbproject/project.properties, src/idiet/Daily.form,
	  src/idiet/Daily.java:
	  
	  added nutr_desc table to database

2007-11-13  Georgi Todorov

	* DB, DB/mdb.properties, DB/mdb.script, lib, lib/hsqldb.jar,
	  nbproject/build-impl.xml, nbproject/genfiles.properties,
	  nbproject/project.properties, src/idiet/FoodDB.java:
	  
	  Added FoodDB class to read food database Added mdb.script and
	  mdb.properties files for database Adding hsqldb.jar library

2007-11-08  Georgi Darakev

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  src/idiet/Daily.form, src/idiet/Daily.java,
	  src/idiet/DietSetup.form, src/idiet/DietSetup.java,
	  src/idiet/IDietAboutBox.java, src/idiet/IDietView.form,
	  src/idiet/IDietView.java,
	  src/idiet/resources/CreateUserFrame.properties,
	  src/idiet/resources/Daily.properties,
	  src/idiet/resources/IDietApp.properties:
	  
	  no message

	* src/idiet/CreateUserFrame.form, src/idiet/CreateUserFrame.java:
	  
	  Password field

2007-10-30  Georgi Todorov

	* src/idiet/CreateUserFrame.form, src/idiet/CreateUserFrame.java,
	  src/idiet/IDietView.form, src/idiet/IDietView.java:
	  
	  width changed

2007-10-30  Georgi Darakev

	* nbproject/project.properties, src/idiet/CreateUserFrame.form,
	  src/idiet/CreateUserFrame.java, src/idiet/DietSetup.form,
	  src/idiet/DietSetup.java,
	  src/idiet/resources/CreateUserFrame.properties,
	  src/idiet/resources/DietSetup.properties:
	  
	  Password field

	* ., .cvsignore, src/idiet/CreateUserFrame.form,
	  src/idiet/CreateUserFrame.java, src/idiet/IDietView.form,
	  src/idiet/IDietView.java,
	  src/idiet/resources/CreateUserFrame.properties:
	  
	  Password field

2007-10-30  Georgi Todorov

	* nbproject/build-impl.xml, nbproject/genfiles.properties,
	  nbproject/project.properties,
	  src/idiet/resources/IDietApp.properties,
	  src/idiet/resources/IDietView.properties:
	  
	  no message

	* src/idiet/IDietAboutBox.form, src/idiet/IDietAboutBox.java:
	  
	  fixed version number

	* src/idiet/IDietView.java:
	  
	  removed status bar&& commented status error

	* src/idiet/IDietView.form, src/idiet/IDietView.java:
	  
	  no message

2007-10-30  Georgi Darakev

	* src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/resources/IDietView.properties:
	  
	  Password field

2007-10-04  Georgi Darakev

	* ., .cvsignore, nbproject/build-impl.xml,
	  nbproject/genfiles.properties, nbproject/project.properties,
	  nbproject/project.xml, src/idiet/resources/IDietApp.properties:
	  
	  Description added

	* ., build.xml, manifest.mf, nbproject, nbproject/.cvsignore,
	  nbproject/build-impl.xml, nbproject/genfiles.properties,
	  nbproject/project.properties, nbproject/project.xml, src,
	  src/META-INF, src/META-INF/services,
	  src/META-INF/services/org.jdesktop.application.Application,
	  src/idiet, src/idiet/IDietAboutBox.form,
	  src/idiet/IDietAboutBox.java, src/idiet/IDietApp.java,
	  src/idiet/IDietView.form, src/idiet/IDietView.java,
	  src/idiet/resources,
	  src/idiet/resources/IDietAboutBox.properties,
	  src/idiet/resources/IDietApp.properties,
	  src/idiet/resources/IDietView.properties,
	  src/idiet/resources/about.png, src/idiet/resources/busyicons,
	  src/idiet/resources/busyicons/busy-icon0.png,
	  src/idiet/resources/busyicons/busy-icon1.png,
	  src/idiet/resources/busyicons/busy-icon10.png,
	  src/idiet/resources/busyicons/busy-icon11.png,
	  src/idiet/resources/busyicons/busy-icon12.png,
	  src/idiet/resources/busyicons/busy-icon13.png,
	  src/idiet/resources/busyicons/busy-icon14.png,
	  src/idiet/resources/busyicons/busy-icon2.png,
	  src/idiet/resources/busyicons/busy-icon3.png,
	  src/idiet/resources/busyicons/busy-icon4.png,
	  src/idiet/resources/busyicons/busy-icon5.png,
	  src/idiet/resources/busyicons/busy-icon6.png,
	  src/idiet/resources/busyicons/busy-icon7.png,
	  src/idiet/resources/busyicons/busy-icon8.png,
	  src/idiet/resources/busyicons/busy-icon9.png,
	  src/idiet/resources/busyicons/idle-icon.png,
	  src/idiet/resources/splash.png:
	  
	  This commit was generated by cvs2svn to compensate for changes in
	  r3, which included commits to RCS files with non-trunk default
	  branches.

